import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceGetRegisterCodeStateService = createAsyncThunk(
  "PROVINCE_GET_REGISTER_CODE_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("allow_register_code_for_guilds");
    dispatch(LOADING_END());
    return { data, status };
  }
);

export const provinceResendRegisterCodeStateService = createAsyncThunk(
  "PROVINCE_RESEND_REGISTER_CODE_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    try {
      const { data, status } = await axios.post(
        "send_again_sms_for_register_code_guild/",
        d
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
